For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Disbursements
      • POSTCreate Nonprofit Contacts
  • Gift Processing
LogoLogo
Contact usLogin
DisbursementsNonprofit Contacts

Create Nonprofit Contacts

POST
/v1/nonprofit_contacts
POST
/v1/nonprofit_contacts
$curl -X POST https://api.givechariot.com/v1/nonprofit_contacts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "entries": [
> {
> "ein": "13-1635294",
> "email": "claims@redcross.org",
> "phone": "2025551212",
> "first_name": "Sarah",
> "last_name": "Johnson"
> },
> {
> "ein": "530196605",
> "email": "ap@worldwildlife.org"
> }
> ]
>}'
1{}
Submit contact information for one or more nonprofits. Uploaded contacts are used as suggestions for who to notify about disbursements.
Was this page helpful?
Previous

List Payment Sources

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

Contact entries to upload, each matched to a nonprofit by EIN.
entrieslist of objectsRequired
Contact entries to upload. Up to 500 per request.

Response

All suggestions were accepted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error